AlgorithmParametersSpi.PSS (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.jcajce.provider.asymmetric.rsa

## Class AlgorithmParametersSpi.PSS

- java.lang.Object
- - java.security.AlgorithmParametersSpi
  - - org.bouncycastle.jcajce.provider.asymmetric.rsa.AlgorithmParametersSpi
    - - org.bouncycastle.jcajce.provider.asymmetric.rsa.AlgorithmParametersSpi.PSS

- Enclosing class:
    AlgorithmParametersSpi

      public static class AlgorithmParametersSpi.PSS
      extends AlgorithmParametersSpi

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.jcajce.provider.asymmetric.rsa.AlgorithmParametersSpi

      `AlgorithmParametersSpi.OAEP, AlgorithmParametersSpi.PSS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlgorithmParametersSpi.PSS()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected byte[]` | `engineGetEncoded()` Return the PKCS#1 ASN.1 structure RSASSA-PSS-params.
    `protected byte[]` | `engineGetEncoded(java.lang.String format)`
    `protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)`
    `protected void` | `engineInit(byte[] params)`
    `protected void` | `engineInit(byte[] params, java.lang.String format)`
    `protected java.lang.String` | `engineToString()`
    `protected java.security.spec.AlgorithmParameterSpec` | `localEngineGetParameterSpec(java.lang.Class paramSpec)`

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.asymmetric.rsa.AlgorithmParametersSpi

      `engineGetParameterSpec, isASN1FormatString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlgorithmParametersSpi.PSS

          public AlgorithmParametersSpi.PSS()

  - ### Method Detail

    - #### engineGetEncoded

          protected byte[] engineGetEncoded()
                                     throws java.io.IOException

      Return the PKCS#1 ASN.1 structure RSASSA-PSS-params.
      Specified by:
        `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`
      Throws:
        `java.io.IOException`

    - #### engineGetEncoded

          protected byte[] engineGetEncoded(java.lang.String format)
                                     throws java.io.IOException

      Specified by:
        `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`
      Throws:
        `java.io.IOException`

    - #### localEngineGetParameterSpec

          protected java.security.spec.AlgorithmParameterSpec localEngineGetParameterSpec(java.lang.Class paramSpec)
                                                                                   throws java.security.spec.InvalidParameterSpecException

      Specified by:
        `localEngineGetParameterSpec` in class `AlgorithmParametersSpi`
      Throws:
        `java.security.spec.InvalidParameterSpecException`

    - #### engineInit

          protected void engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)
                             throws java.security.spec.InvalidParameterSpecException

      Specified by:
        `engineInit` in class `java.security.AlgorithmParametersSpi`
      Throws:
        `java.security.spec.InvalidParameterSpecException`

    - #### engineInit

          protected void engineInit(byte[] params)
                             throws java.io.IOException

      Specified by:
        `engineInit` in class `java.security.AlgorithmParametersSpi`
      Throws:
        `java.io.IOException`

    - #### engineInit

          protected void engineInit(byte[] params,
                        java.lang.String format)
                             throws java.io.IOException

      Specified by:
        `engineInit` in class `java.security.AlgorithmParametersSpi`
      Throws:
        `java.io.IOException`

    - #### engineToString

          protected java.lang.String engineToString()

      Specified by:
        `engineToString` in class `java.security.AlgorithmParametersSpi`